## meepctl deploy

Deploy containers on the K8s cluster

### Synopsis

Deploy containers on the K8s cluster

AdvantEDGE is composed of a collection of micro-services (a.k.a the groups).

Deploy command starts a group of containers the in the K8s cluster.
Optional registry & tag parameters allows to specify a shared registry & tag for core images.
Default registry/tag are: local registry & latest

Valid groups:
  * core: AdvantEDGE core containers
  * dep:  Dependency containers
  * all:  All containers
		

```
meepctl deploy <group> [registry] [tag] [flags]
```

### Examples

```
  # Deploy all containers
    meepctl deploy all
  # Delete and re-deploy only AdvantEDGE core containers
    meepctl deploy core --force
  # Deploy AdvantEDGE version 1.0.0 from my.registry.com
	  meepctl deploy core my.registry.com 1.0.0
			
```

### Options

```
      --codecov   Use when deploying code coverage binaries (dev. option)
  -f, --force     Deployed components are deleted and deployed
  -h, --help      help for deploy
```

### Options inherited from parent commands

```
  -t, --time      Display timing information
  -v, --verbose   Display debug information
```

### SEE ALSO

* [meepctl](meepctl.md)	 - meepctl - CLI application to control the AdvantEDGE platform

###### Auto generated by spf13/cobra on 15-May-2019
